// Typography

@mixin text-emphasis-variant($parent, $color, $ignore-warning: false) {
    #{$parent} {
      color: $color !important;
    }
    @if $emphasized-link-hover-darken-percentage != 0 {
      a#{$parent} {
        @include hover-focus() {
          color: darken($color, $emphasized-link-hover-darken-percentage) !important;
        }
      }
    }
    @include deprecate("`text-emphasis-variant()`", "v4.4.0", "v5", $ignore-warning);
  }

@mixin text-emphasis-hover-variant($parent, $color, $ignore-warning: false) {
  #{$parent}:hover {
    color: $color !important;
  }
  // @if $emphasized-link-hover-darken-percentage != 0 {
  //   a#{$parent} {
  //     @include hover-focus() {
  //       color: darken($color, $emphasized-link-hover-darken-percentage) !important;
  //     }
  //   }
  // }
  @include deprecate("`text-emphasis-variant()`", "v4.4.0", "v5", $ignore-warning);
}

// CSS image replacement
@mixin text-hide($ignore-warning: false) {
    // stylelint-disable-next-line font-family-no-missing-generic-family-keyword
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
  
    @include deprecate("`text-hide()`", "v4.1.0", "v5", $ignore-warning);
  }

// Text truncate
// Requires inline-block or block for proper styling

@mixin text-truncate() {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  @mixin reset-text() {
    font-family: $font-family-base;
    // We deliberately do NOT reset font-size or word-wrap.
    font-style: normal;
    font-weight: $font-weight-normal;
    line-height: $line-height-base;
    text-align: left; // Fallback for where `start` is not supported
    text-align: start;
    text-decoration: none;
    text-shadow: none;
    text-transform: none;
    letter-spacing: normal;
    word-break: normal;
    word-spacing: normal;
    white-space: normal;
    line-break: auto;
  }